<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.01" encoding="UTF-8"
						doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
						doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
<xsl:strip-space elements="*"/>

<!--
 出現頻度が高いのでパフォーマンス向上のため前へ
-->

<xsl:template match="PROJECT_LOG">
	<dt><xsl:value-of select="TIMESTAMP"/></dt>
	<dd><xsl:value-of select="MESSAGE"/></dd>
</xsl:template>

<xsl:template match="CONTENTS_AND_VARIATION">
	<li>
		<a href="{URL}"><xsl:value-of select="URL"/></a>
		<dl>
			<xsl:apply-templates select="PROJECT_LOG"/>
		</dl>
	</li>
</xsl:template>

<xsl:template match="ANALYZE_HISTORY">
	<li>
		<xsl:value-of select="TIMESTAMP_BEGIN"/>
		<dl>
			<xsl:apply-templates select="PROJECT_LOG"/>
		</dl>
		<ul>
			<xsl:apply-templates select="CONTENTS_AND_VARIATION"/>
		</ul>
	</li>
</xsl:template>

<xsl:template match="ANALYZE_SITE_CONFIG">
	<li>
		<a target="_blank" href="{START_URIS}">
			<xsl:value-of select="START_URIS"/>
		</a>
		<ul>
			<xsl:apply-templates select="ANALYZE_HISTORY"/>
		</ul>
	</li>
</xsl:template>


<xsl:template match="RIDUAL_VERSION">
	<span class="version">
		Ver.<xsl:value-of select="MAJORVER"/>
		.<xsl:value-of select="MINORVER"/>
		.<xsl:value-of select="RELEACEVER"/><xsl:text> </xsl:text>
		<xsl:value-of select="SPECIALBUILD"/>
		BLD<xsl:value-of select="BUILDNO"/><xsl:text> </xsl:text>
		<xsl:value-of select="RESOURCEVER"/>
	</span>
</xsl:template>


<!--
 本文はここから
-->
<xsl:template match="/">
	<html lang="ja">
	<head>
	<!-- meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/ -->
	<title>Ridual：Admin-ServerLog</title>
	<link href="mailto:ridual@nri.co.jp" rev="made"/>
	<link title="Ridual" href="css/import_style.css" rel="stylesheet"
									type="text/css" media="screen,print"/>
	<link href="css/print.css" rel="stylesheet" type="text/css" media="print"/>
	</head>

	<body id="serverlog">

	<!-- #layout -->
	<div id="layout">
		<xsl:apply-templates select="RidualSiteLog"/>

		<hr/>

		<!-- #footer -->
		<div id="footer">
			<p>
				<img alt="Powered by Nomura Research Institute,Ltd."
					title="Powered by Nomura Research Institute,Ltd."
						height="15" width="300" src="img/logo_nri.gif"/>
			</p>
		</div>
		<!--/ #footer -->

	</div>
	<!--/ #layout -->
	
	</body>
	</html>
</xsl:template>

<xsl:template match="RidualSiteLog">
	<!-- #header -->
	<div id="header">

		<!-- #logo -->	
		<div id="logo">
			<div class="ridual">
				<a target="_blank" href="http://www.ridual.jp">
					<img alt="Ridual logo" height="30" width="70"
														src="img/R_logo.gif"/>
				</a>
				<xsl:apply-templates select="RIDUAL_VERSION"/>
			</div>

			<ul>
				<li class="analyzer"><a href="index.html">Analyzer</a></li>
				<li class="sitelist"><a href="sitelist">Sitelist</a></li>
				<li class="admin"><a href="admin/setup">Admin</a></li>
				<li class="help"><a href="help/help.html">Help</a></li>
			</ul>
		</div>
		<!-- /#logo -->	

		<!-- #line -->
		<div id="line">
			<!-- URL -->
			<p></p>
		</div>
		<!-- /#line -->

		<!-- #menu -->
		<div id="menu">
			<p></p>
		</div>
		<!-- /#menu -->
	</div>
	<!-- #header -->

	<hr/>

	<!-- #path -->
	<div id="path">
		<h1>Sitelog</h1>	
	</div>

	<!-- #content -->
	<div id="content">

		<!-- .box -->
		<div class="box">
			<dl>
				<xsl:apply-templates select="PROJECT_LOG"/>
			</dl>
			<ul>
				<xsl:apply-templates select="ANALYZE_SITE_CONFIG"/>
			</ul>
		</div>
		<!-- /.box -->
	</div>
	<!-- /#content -->
</xsl:template>

</xsl:stylesheet>
