<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.01" encoding="UTF-8"
						doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
						doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
<xsl:strip-space elements="*"/>

<!--
 出現頻度が高いのでパフォーマンス向上のため前へ
-->
<!-- xsl:template name="lower">
<xsl:param name="str"/>
	<xsl:value-of select="translate($str, 'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxwz')"/>
</xsl:template -->

<xsl:template name="httpstatus">
<xsl:param name="status"/>
	<xsl:choose>
		<xsl:when test="$status=-1">
			<span class="c0an">未解析</span>
		</xsl:when>
		<xsl:when test="$status=-2">
			unknown-host
		</xsl:when>
		<xsl:when test="$status=-3">
			connect-error
		</xsl:when>
		<xsl:when test="$status=-4">	<!-- mailto,tel 未実装 -->
			<span class="c0in">情報</span>
		</xsl:when>
		<xsl:when test="$status=-5">	<!-- mailto,tel以外 未実装 -->
			<span class="c0uk">不明</span>
		</xsl:when>
		<xsl:when test="(100 &lt;= $status) and ($status &lt; 200)">
			<span class="c100"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:when test="(200 &lt;= $status) and ($status &lt; 300)">
			<span class="c200"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:when test="(300 &lt;= $status) and ($status &lt; 400)">
			<span class="c300"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:when test="(400 &lt;= $status) and ($status &lt; 500)">
			<span class="c400"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:when test="(500 &lt;= $status) and ($status &lt; 600)">
			<span class="c500"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:when test="600 &lt;= $status">
			<span class="c500"><xsl:value-of select="$status"/></span>
		</xsl:when>
		<xsl:otherwise>
			<span class="c5ov"><xsl:value-of select="$status"/></span>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="mime2icon">
<xsl:param name="mime"/>
	<!-- xsl:variable name="val">
		<xsl:call-template name="lower">
			<xsl:with-param name="str" select="$mime"/>
		</xsl:call-template>
	</xsl:variable -->
	
	<xsl:choose>
		<xsl:when test="$mime='x-application/flash'">
			<img width="22" height="22" src="img/objects/flash.gif"/>
		</xsl:when>
		
		<xsl:when test="$mime='application/x-shockwave-flash'">
			<img width="22" height="22" src="img/objects/flash.gif"/>
		</xsl:when>
		<xsl:when test="$mime='video/quicktime'">
			<img width="22" height="22" src="img/objects/quicktime.gif"/>
		</xsl:when>
		<xsl:when test="$mime='audio/x-pn-realaudio-plugin'">
			<img width="22" height="22" src="img/objects/real.gif"/>
		</xsl:when>
		<xsl:when test="$mime='audio/vnd.rn-realaudio'">
			<img width="22" height="22" src="img/objects/real.gif"/>
		</xsl:when>
		<xsl:when test="$mime='video/vnd.rn-realvideo'">
			<img width="22" height="22" src="img/objects/real.gif"/>
		</xsl:when>
		<xsl:when test="$mime='application/vnd.rn-realmedia'">
			<img width="22" height="22" src="img/objects/real.gif"/>
		</xsl:when>
		<xsl:when test="$mime='application/x-director'">
			<img width="22" height="22" src="img/objects/shockwave.gif"/>
		</xsl:when>
		<xsl:when test="$mime='video/x-ms-wmv'">
			<img width="22" height="22" src="img/objects/wmp.gif"/>
		</xsl:when>
		<xsl:when test="$mime='audio/x-ms-wma'">
			<img width="22" height="22" src="img/objects/wmp.gif"/>
		</xsl:when>
		<xsl:when test="$mime='video/x-ms-asf'">
			<img width="22" height="22" src="img/objects/wmp.gif"/>
		</xsl:when>
		<xsl:otherwise>
			<img width="22" height="22" src="img/objects/unknown.gif"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<!-- リンク元ページ -->
<xsl:template match="PARENT_CONTENTS_AND_VARIATION">
<xsl:param name="isOutputDetail"/>
	<li>
		<span class="from">from : </span>
		<a href="{URL}"><xsl:value-of select="URL"/></a>
	</li>
</xsl:template>

<!-- 1件分の情報 -->
<xsl:template match="CONTENTS_AND_VARIATION">
<xsl:param name="isOutputDetail"/>
	<li>
		<xsl:call-template name="mime2icon">
			<xsl:with-param name="mime" select="RIDUAL_CONTENT_TYPE"/>
		</xsl:call-template>
		<xsl:text> </xsl:text>
		<a href="{URL}">
			<xsl:value-of select="URL"/>
		</a>
		<xsl:text>( </xsl:text>
		<xsl:value-of select="HTTP_CONTENT_TYPE"/>
		<xsl:text> , status=</xsl:text>
		<xsl:call-template name="httpstatus">
			<xsl:with-param name="status" select="HTTP_STATUS"/>
		</xsl:call-template>
		<xsl:text> )</xsl:text>
		
		<div class="boxscrl">
		<ol>
			<xsl:apply-templates select="PARENT_CONTENTS_AND_VARIATION">
				<xsl:with-param name="isOutputDetail" select="$isOutputDetail"/>
			</xsl:apply-templates>
		</ol>
		</div>
	</li>
</xsl:template>

<xsl:template match="RIDUAL_VERSION">
	<span class="version">
		Ver.<xsl:value-of select="MAJORVER"/>
		.<xsl:value-of select="MINORVER"/>
		.<xsl:value-of select="RELEACEVER"/><xsl:text> </xsl:text>
		<xsl:value-of select="SPECIALBUILD"/>
		BLD<xsl:value-of select="BUILDNO"/><xsl:text> </xsl:text>
		<xsl:value-of select="RESOURCEVER"/>
	</span>
</xsl:template>


<!--
 本文はここから
-->
<xsl:template match="/">
	<html lang="ja">
	<head>
	<!-- meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/ -->
	<title>Ridual：Objects</title>
	<link href="mailto:ridual@nri.co.jp" rev="made"/>
	<link title="Ridual" href="css/import_style.css" rel="stylesheet"
									type="text/css" media="screen,print"/>
	<link href="css/print.css" rel="stylesheet" type="text/css" media="print"/>
	</head>

	<body id="objects">

	<!-- #layout -->
	<div id="layout">
		<xsl:apply-templates select="RidualReportObjects"/>

		<hr/>

		<!-- #footer -->
		<div id="footer">
			<p>
				<img alt="Powered by Nomura Research Institute,Ltd."
					title="Powered by Nomura Research Institute,Ltd."
						height="15" width="300" src="img/logo_nri.gif"/>
			</p>
		</div>
		<!--/ #footer -->

	</div>
	<!--/ #layout -->
	
	</body>
	</html>
</xsl:template>

<xsl:template match="RidualReportObjects">
	<!-- #header -->
	<div id="header">

		<!-- #logo -->	
		<div id="logo">
			<div class="ridual">
				<a target="_blank" href="http://www.ridual.jp">
					<img alt="Ridual logo" height="30" width="70"
														src="img/R_logo.gif"/>
				</a>
				<xsl:apply-templates select="RIDUAL_VERSION"/>
			</div>
		</div>
		<!-- /#logo -->	

		<!-- #line -->
		<div id="line">
			<!-- URL -->
			<p><xsl:apply-templates select="ANALYZE_SITE_CONFIG"/></p>
		</div>
		<!-- /#line -->
		
		<xsl:apply-templates select="ANALYZE_HISTORY"/>
	</div>
	<!-- #header -->

	<hr/>

	<!-- #path -->
	<div id="path">
		<h1>Objects</h1>
<!--
		<p class="xmlicon"><a href="xml/objects.xml">XML</a></p>
		<p class="csvicon"><a href="csv/objects.csv">CSV</a></p>
		<p class="countn">count = <xsl:value-of select="count(CONTENTS_AND_VARIATION)"/>
			<span class="cdate">( checked on <xsl:value-of select="ANALYZE_HISTORY/TIMESTAMP_BEGIN"/> )</span>
		</p>
-->
	</div>
	<!-- /#path -->

	<!-- #content -->
	<div id="content">
	
	<!-- #switch -->
	<div id="switch">
		<p class="objtag">
			<a href="objects.tag.html">[tag]</a>
		</p>
		<p class="description">Object contents list</p>
		<br/>
	</div>
	<!-- /#switch -->

	<div class="box">
		<ol>
			<xsl:variable name="sw" select="ANALYZE_HISTORY/IS_OUTPUT_DETAIL"/>
			<xsl:apply-templates select="CONTENTS_AND_VARIATION">
				<xsl:with-param name="isOutputDetail" select="$sw"/>
			</xsl:apply-templates>
		</ol>
	</div>
	
	</div>
	<!-- /#content -->
</xsl:template>

<xsl:template match="ANALYZE_SITE_CONFIG">
	<a target="_blank" href="{START_URIS}">
		<xsl:value-of select="START_URIS"/>
	</a>
</xsl:template>

<xsl:template match="ANALYZE_HISTORY">
	<!-- #menu -->
	<div id="menu">
		<ul>
			<li class="overview"><a href="index.html">Overview</a></li>
			<li class="sitemap"><a name="sitemap.html">Sitemap</a></li>
			<li class="pages"><a href="pages.html">Pages</a></li>
			<li class="resources"><a href="resources.html">Resources</a></li>
			<li class="outlink"><a href="outlink.html">OutLink</a></li>
			<li class="form"><a href="form.html">Form</a></li>
			<li class="script"><a href="script.html">Script</a></li>
			<li class="css"><a href="css.html">CSS</a></li>
			<li class="objects"><a href="objects.html">Objects</a></li>
			<li class="lost"><a href="lost.html">Lost</a></li>
			<li class="quality"><a href="quality.html">Quality</a></li>
			<li class="report"><a href="report.html">Report</a></li>
			<li class="datalist"><a name="data.html">Data</a></li>
		</ul>
	</div>
	<!-- /#menu -->
</xsl:template>

</xsl:stylesheet>
